EndpointsCoworlds
List Coworld summaries
GET
/v2/coworlds/summariesLists compact Coworld metadata visible to the caller, newest first.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Query Parameters
limit?Limit
Maximum Coworld versions to return.
Range
1 <= value <= 500Default
200cursor?|
Continuation token from the previous response's X-Next-Cursor header.
mine?Mine
Return only Coworlds owned by the caller.
Default
falsename?|
Exact Coworld name.
q?|
Case-insensitive Coworld name search.
coworld_id?|
Exact Coworld version ID.
visibility?|
Filter by upload visibility.
latest_per_name?Latest Per Name
Return the newest visible upload for each name.
Default
falsecurl -X GET "https://softmax.com/api/observatory/v2/coworlds/summaries"[ { "id": "string", "name": "string", "version": "string", "visibility": "public", "canonical": true, "manifest_hash": "string", "size_bytes": 0, "manifest_summary": { "description": "string", "owner": "string", "variants": [ { "id": "string", "name": "string" } ], "role_counts": { "player": 0, "commissioner": 0, "grader": 0, "diagnoser": 0, "optimizer": 0 } }, "created_at": "2019-08-24T14:15:22Z", "certification_state": "never_run" }]